List tasks

List all tasks. Results are sorted by creation date, from oldest to newest.

Required scopes: task:read, object_configuration:read, record_permission:read, user_management:read.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer

The maximum number of results to return. Defaults to 500. See the full guide to pagination here.

integer

The number of results to skip over before returning. Defaults to 0. See the full guide to pagination here.

string
enum

Optionally sort the results. "created_at:asc" returns oldest results first, "created_at:desc" returns the newest results first. If unspecified, defaults to "created_at:asc" (oldest results first).

Allowed:
string

Pass a value to this parameter to filter results to only those tasks that contain the specified record in the linked_records property of the task. This parameter should identify the object that the linked record belongs to. For example, if filtering to tasks that link to a specific person record, this parameter should be people. If provided, linked_record_id must also be provided.

uuid

Pass a value to this parameter to filter results to only those tasks that contain the specified record in the linked_records property of the task. This parameter should contain the record ID of the linked record. If provided, linked_object must also be provided.

string | null

Filter tasks by workspace member assignees. Workspace members can be referenced by either their email address or ID. Pass an empty value or the string null to find tasks with no assignee.

boolean

Filter tasks by whether they have been completed. By default, both completed and non-completed tasks are returned. Specify true to only return completed tasks, or false to only return non-completed tasks.

Response

Language
Credentials
OAuth2
Authenticate
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json